package org.springblade.person.feign;

import org.springblade.person.entity.KeyPeople;
import org.springblade.person.vo.KeyPeopleVO;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class KeyPeopleClientFallback implements IKeyPeopleClient {
            /**
         * 详情
         */
        @Override
        public KeyPeopleVO detail(KeyPeople keyPeople) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<KeyPeopleVO> list(KeyPeople keyPeople) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( KeyPeople keyPeople) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( KeyPeople keyPeople) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( KeyPeople keyPeople) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

		/**
		 * 根据parentId获取详情
		 * @param parentId
		 * @return
		 */
		@Override
		public KeyPeopleVO detailByParentId(Long parentId) {
			return null;
		}
    }
